package com.kccoder.fracture;

import java.util.Iterator;

class DecliningSequentialIterator implements Iterator<Integer> {
	private int end;
	private int increment;
	private int on;
	
	public DecliningSequentialIterator(int start, int end, int increment) {
		this.end = end;
		this.increment = increment;
		this.on = start;
	}
	
	public boolean hasNext() {
		return (on > end);
	}
	public Integer next() {
		int rv = on;
		on += increment;
		return rv;
	}
	public void remove() {}
}